Skip to content

# Module: "renderer-api/navigation"

## Index

### Classes

- PageParam

### Interfaces

- IURLParams
- PageParamInit

### Functions

- createPageParam
- getDetailsUrl
- hideDetails
- isActiveRoute
- navigate
- showDetails

## Functions

### createPageParam

▸ createPageParam‹V›(`init`: PageParamInit‹V›): PageParam‹V›

Defined in src/extensions/renderer-api/navigation.ts:10

Type parameters:

▪ V

Parameters:

Name | Type
--- | ---
`init` | PageParamInit‹V›

Returns: PageParam‹V›

### getDetailsUrl

▸ getDetailsUrl(`selfLink`: string, `resetSelected`: boolean, `mergeGlobals`: boolean): string

Defined in src/renderer/components/kube-object/kube-object-details.tsx:49

Parameters:

Name | Type | Default
--- | --- | ---
`selfLink` | string | -
`resetSelected` | boolean | false
`mergeGlobals` | boolean | true

Returns: string

### hideDetails

▸ hideDetails(): void

Defined in src/renderer/components/kube-object/kube-object-details.tsx:45

Returns: void

### isActiveRoute

▸ isActiveRoute(`route`: string | string[] | RouteProps): boolean

Defined in src/renderer/navigation/helpers.ts:25

Parameters:

Name | Type
--- | ---
`route` | string | string[] | RouteProps

Returns: boolean

### navigate

▸ navigate(`location`: LocationDescriptor): void

Defined in src/renderer/navigation/helpers.ts:7

Parameters:

Name | Type
--- | ---
`location` | LocationDescriptor

Returns: void

### showDetails

▸ showDetails(`selfLink`: string, `resetSelected`: boolean): void

Defined in src/renderer/components/kube-object/kube-object-details.tsx:39

Parameters:

Name | Type | Default
--- | --- | ---
`selfLink` | string | ""
`resetSelected` | boolean | true

Returns: void